%define upstream_name    DBIx-Class-InflateColumn-FS
%define upstream_version 0.01007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    FS columns resultset class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.120.0
BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class) >= 0.80.0
BuildRequires: perl(DBIx::Class::UUIDColumns) >= 0.20.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(File::Find)
BuildRequires: perl(Path::Class)
BuildArch:  noarch

%description
Provides inflation to a Path::Class::File object allowing file system
storage of BLOBS.

The storage path is specified with 'fs_column_path'. Each file receives a
unique name, so the storage for all FS columns can share the same path.

Within the path specified by 'fs_column_path', files are stored in
sub-directories based on the first 2 characters of the unique file names.
Up to 256 sub-directories will be created, as needed. Override
'_fs_column_dirs' in a derived class to change this behavior.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.70-15.mga10
+ Revision: 2203540
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.70-14.mga9
+ Revision: 1808624
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.70-13.mga8
+ Revision: 1503647
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.10.70-12.mga7
+ Revision: 1282604
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.10.70-11.mga7
+ Revision: 1163967
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.10.70-10.mga7
+ Revision: 1159025
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.10.70-9.mga6
+ Revision: 1025462
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.10.70-8.mga6
+ Revision: 934510
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.70-7.mga5
+ Revision: 745184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.70-6.mga5
+ Revision: 684118
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.70-5.mga4
+ Revision: 510408
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.70-4.mga3
+ Revision: 365121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.10.70-3.mga2
+ Revision: 220178
- magpie fix
- imported package perl-DBIx-Class-InflateColumn-FS


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.10.70-3mdv2011.0
+ Revision: 625074
- Add a dep on the fixed UUIDColumns
- Add dep on SQL::A
- import perl-DBIx-Class-InflateColumn-FS

